node-once_1.4.0-3_all.deb


Advertisement

Description

node-once - Run a function only once with this module for Node.js

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename node-once_1.4.0-3_all.deb
Package name node-once
Package version 1.4.0
Package release 3
Package architecture all
Package type deb
Category universe/web
Homepage https://github.com/isaacs/once
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 4.29 KB
Installed size 17.00 KB
node-once is useful to make sure a listener for multiple events is
only run once.
Node.js is an event-based server-side javascript engine.

Alternatives

Package Version Architecture Repository
node-once_1.4.0-3_all.deb 1.4.0 all Ubuntu Universe
node-once - - -

Requires

Name Value
node-wrappy -
nodejs -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package node-once_1.4.0-3_all.deb
Source Package node-once

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-once deb package:
    # sudo apt-get install node-once

Files

Path
/usr/lib/nodejs/once/once.js
/usr/lib/nodejs/once/package.json
/usr/share/doc/node-once/README.md
/usr/share/doc/node-once/changelog.Debian.gz
/usr/share/doc/node-once/copyright

Changelog

2019-01-22 - Xavier Guimard <yadd@debian.org>
node-once (1.4.0-3) unstable; urgency=medium
* Team upload.
[ Paolo Greppi ]
* Update Vcs fields for migration to https://salsa.debian.org/
* Install in /usr/lib/nodejs/once
* Bump standard version
* Bump debhelper compat
* fix lintian I override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS
[ Xavier Guimard ]
* Change license to ISC
* Add upstream/metadata
2016-10-20 - Pirate Praveen <praveen@debian.org>
node-once (1.4.0-2) unstable; urgency=medium
* Add node-wrappy to depends (Closes: #841274)
* Enable tests (during build and autopkgtest)
* Add myself as uploader
* Use https urls for vcs
2016-10-18 - Pirate Praveen <praveen@debian.org>
node-once (1.4.0-1) unstable; urgency=medium
* Team upload
* New upstream release
2013-04-26 - Jérémy Lal <kapouer@melix.org>
node-once (1.1.1-1) unstable; urgency=low
* Initial release (Closes: #706180)

See Also

Package Description
node-opencv_6.0.0+git20180416.cfc96ba0-3_amd64.deb OpenCV Bindings for node.js
node-opener_1.4.3-1_all.deb Opens stuff, like webpages and files and executables
node-openid_0.5.9-1_all.deb OpenID client library for Node.js
node-opentip_2.4.6-2_all.deb JavaScript tooltip class
node-optimist_0.6.1-1_all.deb light-weight option parsing library for NodeJS
node-optionator_0.8.2+dfsg-1build2_all.deb option parsing and help generation
node-orchestrator_0.3.8-1_all.deb sequence and execute tasks and dependencies in concurrency
node-ordered-read-streams_1.0.1-2_all.deb combines array of streams into one read stream in strict order
node-original_1.0.0-1_all.deb Generate the origin from an URL or check if two URL/Origins are the same
node-os-browserify_0.3.0-1_all.deb 'os' module from node.js, but for browsers
node-os-locale_2.0.0-1_all.deb get the system locale
node-os-tmpdir_1.0.2-1_all.deb Node.js os.tmpdir() ponyfill
node-osenv_0.1.5-1_all.deb Environment settings lookup module for Node.js
node-output-file-sync_1.1.2-1_all.deb Synchronously write a file and create its ancestor directories if needed
node-p-cancelable_0.3.0-1_all.deb Create a promise that can be canceled
Advertisement
Advertisement